﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using Phone照片扩展性.Resources;
using Microsoft.Xna.Framework.Media;
using System.Windows.Media.Imaging;
using Windows.Storage;
using System.Windows.Resources;
using Microsoft.Xna.Framework.Media.PhoneExtensions;

namespace Phone照片扩展性
{
    public partial class MainPage : PhoneApplicationPage
    {
        // 构造函数
        public MainPage()
        {
            InitializeComponent();
        }


        Picture selectedPicture;
        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            IDictionary<string, string> queryStrings = this.NavigationContext.QueryString;

            if (!queryStrings.ContainsKey("Action"))
            {
                textBlock1.Text = "无来源";

            }
            else
            {
                string action = queryStrings["Action"];
                switch (action)
                {
                    case "ShareContent": textBlock1.Text = "共享选取器";
                        break;
                    case "RichMediaEdit": textBlock1.Text = "富媒体应用";
                        break;
                    case "EditPhotoContent": textBlock1.Text = "照片编辑选取器";
                        break;
                }

                MediaLibrary library = new MediaLibrary();
                
                if (queryStrings.ContainsKey("FileId")) selectedPicture = library.GetPictureFromToken(queryStrings["FileId"]);
                else if (queryStrings.ContainsKey("token")) selectedPicture = library.GetPictureFromToken(queryStrings["token"]);
                else return;
                BitmapImage bitmapFromPhoto = new BitmapImage();
                bitmapFromPhoto.SetSource(selectedPicture.GetImage());
                image1.Source = bitmapFromPhoto;
            }
            base.OnNavigatedTo(e);
        }

        //保存图片
        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            MediaLibrary library = new MediaLibrary();
            library.SavePicture(selectedPicture.Name, selectedPicture.GetImage());
        }

    }
}